For the complete documentation index, see llms.txt. This page is also available as Markdown.

Datagrid Rows

get

Retrieves multiple datagrid rows.

Query parameters
datagridColumnIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

datagridIdstring · uuidRequired

A UUID v4 string that identifies an entity.

modestring · enumOptionalDefault: semanticPossible values:
operatorstring · enumOptionalDefault: ilikePossible values:
pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
searchstring · min: 1Optional
Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all datagrid rows for the specified datagrid.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
datagridIdstring · uuidRequired

A UUID v4 string that identifies an entity.

positionintegerRequired
get/api/v1/datagrid-rows
GET /api/v1/datagrid-rows?datagridId=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
[
  {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "datagridId": "123e4567-e89b-12d3-a456-426614174000",
    "position": 1,
    "datagridValues": [
      {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "datagridColumnId": "123e4567-e89b-12d3-a456-426614174000",
        "datagridId": "123e4567-e89b-12d3-a456-426614174000",
        "datagridRowId": "123e4567-e89b-12d3-a456-426614174000",
        "detail": {
          "type": "string",
          "value": "text"
        }
      }
    ]
  }
]
post

Creates a new datagrid row.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
datagridIdstring · uuidRequired

A UUID v4 string that identifies an entity.

positionintegerRequired
Responses
200

The datagrid row was created with default values for all columns.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
datagridIdstring · uuidRequired

A UUID v4 string that identifies an entity.

positionintegerRequired
post/api/v1/datagrid-rows
POST /api/v1/datagrid-rows HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 66

{
  "datagridId": "123e4567-e89b-12d3-a456-426614174000",
  "position": 1
}
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "datagridId": "123e4567-e89b-12d3-a456-426614174000",
  "position": 1
}
delete

Removes multiple datagrid rows.

Query parameters
idsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

The datagrid rows were removed.

application/json
messagestringRequired

An informative message for a call that has no effective result to be returned.

delete/api/v1/datagrid-rows
DELETE /api/v1/datagrid-rows HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
{
  "message": "text"
}
get

Retrieves a datagrid row.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves a datagrid row.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
datagridIdstring · uuidRequired

A UUID v4 string that identifies an entity.

positionintegerRequired
get/api/v1/datagrid-rows/{id}
GET /api/v1/datagrid-rows/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "datagridId": "123e4567-e89b-12d3-a456-426614174000",
  "position": 1,
  "datagridValues": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "datagridColumnId": "123e4567-e89b-12d3-a456-426614174000",
      "datagridId": "123e4567-e89b-12d3-a456-426614174000",
      "datagridRowId": "123e4567-e89b-12d3-a456-426614174000",
      "detail": {
        "type": "string",
        "value": "text"
      }
    }
  ]
}
delete

Removes a datagrid row.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

The datagrid row was removed.

application/json
messagestringRequired

An informative message for a call that has no effective result to be returned.

delete/api/v1/datagrid-rows/{id}
DELETE /api/v1/datagrid-rows/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
{
  "message": "text"
}
patch
Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
positionintegerOptional
Responses
200

The datagrid row was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
datagridIdstring · uuidRequired

A UUID v4 string that identifies an entity.

positionintegerRequired
patch/api/v1/datagrid-rows/{id}
PATCH /api/v1/datagrid-rows/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 14

{
  "position": 1
}
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "datagridId": "123e4567-e89b-12d3-a456-426614174000",
  "position": 1
}

Last updated